Design AccessPolicy update restrictions

2011-10-07 22:21 - Robert Waltz

Status: Closed Start date: 2011-10-07

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.45-Block.6   

Story Points:    

Description

AccessPolicy as it is currently designed allows for conflicting updates to be made on CNs and MNs.  We need to redesign in order to

assure AccessPolicy consistency will result in updates to SystemMetadata.

Related issues:

Related to Infrastructure - Story #1966: CNs should keep all replica MNs up t... Closed 2011-11-01 2011-11-19

History

#1 - 2011-10-25 16:20 - Robert Waltz

- Position set to 1

- Position changed from 1 to 288

#2 - 2011-10-25 16:27 - Robert Waltz

- Target version changed from Sprint-2011.42-Block.6 to Sprint-2011.43-Block.6

#3 - 2011-10-25 16:30 - Robert Waltz

- Target version changed from Sprint-2011.43-Block.6 to Sprint-2011.42-Block.6

#4 - 2011-10-25 16:46 - Dave Vieglais

- Position deleted (290)

- Position set to 1

- Target version changed from Sprint-2011.42-Block.6 to Sprint-2011.44-Block.6

#5 - 2011-11-07 18:03 - Dave Vieglais

- Target version changed from Sprint-2011.44-Block.6 to Sprint-2011.45-Block.6

- Position deleted (22)

- Position set to 2

#6 - 2011-11-11 17:02 - Robert Waltz

- Status changed from New to Closed

CNs will be the sole manager of AccessPolicies after initial creation.
